Subject: Re: bug#30707: describe-variable misses linking linkable changed items

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 14 Jul 2019 16:28:36 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> I do
> (describe-variable (quote browse-url-browser-function))
> and see in *Help*:
>
>    browse-url-browser-function is a variable defined in ‘browse-url.el’.
>    Its value is ‘browse-url-chromium’
>    Original value was
>    browse-url-default-browser
>
> The problem is browse-url-default-browser should be a blue link, but was
> not detected as linkable.
>
> So the user has to do
> (describe-function (quote browse-url-default-browser))
> to learn about it, instead of just being able to click it!

This sounds reasonable, but I don't think it is.  :-)
`browse-url-default-browser' is just a symbol that that variable had as
a value.  Yes, it's a symbol that refers to a function, but in general,
the doc machinery doesn't know that that's how it's going to be used; it
might be a total coincidence.  (Especially with shorter symbols.)

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no